import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { CookieService } from '../../../services/cookie.service';
import { UserService } from '../../../services/user.service';

@Component({
    selector: 'app-profile-info',
    templateUrl: './profile-info.component.html',
    styleUrl: './profile-info.component.css',
})
export class ProfileInfoComponent implements OnInit {
    quizList: any[] = [];
    isLogged: boolean = false;
    constructor(private router: Router, private cookieService: CookieService, private userSerivce: UserService) {}

    ngOnInit(): void {
        this.quizList = [
            { title: 'Quiz 1', content: 'Quiz 1 Content' },
            { title: 'Quiz 2', content: 'Quiz 2 Content' },
            { title: 'Quiz 3', content: 'Quiz 3 Content' },
            { title: 'Quiz 4', content: 'Quiz 4 Content' },
            { title: 'Quiz 5', content: 'Quiz 5 Content' },
            { title: 'Quiz 6', content: 'Quiz 6 Content' },
            { title: 'Quiz 7', content: 'Quiz 7 Content' },
            { title: 'Quiz 8', content: 'Quiz 8 Content' },
            { title: 'Quiz 9', content: 'Quiz 9 Content' },
            { title: 'Quiz 10', content: 'Quiz 10 Content' },
            { title: 'Quiz 11', content: 'Quiz 11 Content' },
            { title: 'Quiz 12', content: 'Quiz 12 Content' },
            { title: 'Quiz 13', content: 'Quiz 13 Content' },
            { title: 'Quiz 14', content: 'Quiz 14 Content' },
            { title: 'Quiz 15', content: 'Quiz 15 Content' },
        ];
        this.userSerivce.getMe().subscribe((data) => {
            this.isLogged = true;
        });
    }

    newQuiz() {
        this.router.navigate(['/profile/create-custom-quiz']);
    }

    logOut() {
        this.userSerivce.logout().subscribe();
        this.router.navigate(['/']);
    }
}
