import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProfileQuizListComponent } from './profile-quiz-list/profile-quiz-list.component';
import { ProfileInfoComponent } from './profile-info/profile-info.component';
import { CreateCustomQuizComponent } from './create-custom-quiz/create-custom-quiz.component';
import { ReactiveFormsModule } from '@angular/forms';
import { MatIconModule } from '@angular/material/icon';
import { SharedModule } from '../../shared/shared.module';
import { SignComponent } from './sign/sign.component';

@NgModule({
    declarations: [ProfileQuizListComponent, ProfileInfoComponent, CreateCustomQuizComponent, SignComponent],
    imports: [CommonModule, ReactiveFormsModule, MatIconModule, SharedModule],
})
export class ProfileModule {}
