import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';

@Injectable({
    providedIn: 'root',
})
export class CommunityService {
    private apiUrl = 'https://klebert-host.com:33037';
    constructor(private http: HttpClient) {}
    getCommunityQuiz(skip: number, take: number, filter: string) {
        return this.http.get(`${this.apiUrl}/quiz/all`, { params: { skip: skip, take: take, filter: filter } });
    }
    getQuizInformations(codeQuiz: string) {
        return this.http.post(`${this.apiUrl}/quiz/remaining`, { id: codeQuiz });
    }
}
